<p align="center">
<img src="/.github/README/ICON.png" height="150">
</p>

<h2 align="center"> Waifu2x-Extension-GUI </h2>

<h3 align="center"> Photo/Video/GIF enlargement and Video frame interpolation using machine learning </h3>
<h3 align="center"> Supports AMD / Nvidia / Intel GPU </h3>

<p align="center">
<a href=https://github.com/AaronFeng753/Waifu2x-Extension-GUI/releases/latest><img src="https://img.shields.io/github/v/release/aaronfeng753/waifu2x-extension-gui?label=Latest%20stable%20release&style=flat-square&color=brightgreen"></a>
<img src="https://img.shields.io/badge/Support-Windows%20x64-blue?logo=Windows&style=flat-square">
<a href=https://t.me/W2xEX><img src="https://img.shields.io/badge/Telegram-Channel-blue.svg?longCache=true&style=flat-square"></a>
</p>

### [📜中文 说明文档](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/blob/master/README_CN.md) | [➡Official telegram channel](https://t.me/W2xEX)

# [💾Download Latest Stable Build (Windows x64)](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/releases/latest)
Download Latest portable package for `Windows x64` PCs with `Intel/AMD/Nvidia` GPUs.

Download Latest Build➡: https://github.com/AaronFeng753/Waifu2x-Extension-GUI/releases/latest

#### ➡Get ✨Premium version on Patreon: https://patreon.com/aaronfeng

#### [📝Full change log](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/blob/master/Change_log.md)

Supported Languages: English, 简体中文, 繁體中文.

# [🌟Download Beta Build (Windows x64)](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/releases)
The beta build has a faster update cycle than the stable build, which allows you to experience the latest features of the software in advance.

⚠Beta builds are more unstable than the stable builds because the beta builds have not been fully tested before release.

Download the beta build at the releases page: https://github.com/AaronFeng753/Waifu2x-Extension-GUI/releases

# What is Waifu2x-Extension-GUI?

### `Image` & `GIF` & `Video` `Super-Resolution` and Video `Frame Interpolation` using Deep Convolutional Neural Networks.

### ✨Key features:
- #### 📺Multimedia support: Supports processing Image & GIF&APNG & Video at the same time.
- #### 😍Full image style support: Multiple built-in algorithms, 2D anime, or your daily photos & videos, this software can handle all of them.
- #### 🎞Video frame interpolation: Automatically use AI to interpolate frames after enlarge the video.
- #### ⚡Video Frame Analysis: Analyze video frames to Improve video Quality and Speed Up video processing.
- #### ✅Great compatibility: Multiple built-in engines, compatible with almost all modern Windows PCs.
- 📊Flexible multi-thread setting: You can adjust the number of threads freely while providing a complete set of settings for each engine, Take advantage of all the capabilities of your PC.
- 🚀🚀🚀Multi-GPU support: Multi-GPU support for ALL built-in engines.
- 🛠Numerous customizable settings: You can automate your workflow by adjusting the many customizable settings in the software.
- 🤖Smart settings: This software can automatically adjust some software settings based on your PC hardware information and the information of the files you want to process.
- 😉Easy-to-use graphical user interface.
- 📨Continual maintenance and updates.

```
Built-in super-resolution algorithms:
Waifu2x / SRMD / RealSR / Real-ESRGAN / Real-CUGAN / Anime4K / ACNet

Built-in super-resolution engines:
Waifu2x-caffe / Waifu2x-converter / Waifu2x-ncnn-vulkan
SRMD-ncnn-vulkan / RealSR-ncnn-vulkan / Anime4KCPP / SRMD-CUDA
RealESRGAN-NCNN-Vulkan / Real-CUGAN-ncnn-vulkan

Built-in Video frame interpolation algorithms:
RIFE / CAIN / DAIN

Built-in Video frame interpolation engines:
rife-ncnn-vulkan / cain-ncnn-vulkan / dain-ncnn-vulkan
```

#### ✅Already been tested on the `AMD` RX 550, `NVIDIA` GeForce RTX 3060 and `Intel` UHD 620.

![mainwindow](/Screenshot/mainwindow.jpg)

![Engine_Settings](/Screenshot/Engine_Settings_EN.jpg)

![VideoSettings_EN](/Screenshot/VideoSettings_EN.jpg)

![Additional_Settings](/Screenshot/Additional_Settings_EN.jpg)

# [Samples👀](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/tree/master/Samples/)

### [➡Comparison(3D Real-life)(Using RealESRGAN-NCNN-Vulkan Engine)](https://imgsli.com/NjQ4NzY)
#### [Photo by Jonatan Pie on Unsplash](https://unsplash.com/photos/Yv9WbjBgZXY)
![Comparison](/Samples/image/Comparison_3D_Real-life.png)

### [➡Comparison(2D Anime)(Using Waifu2x-NCNN-Vulkan Engine)](https://imgsli.com/MzYzMTY)
![Comparison](/Samples/image/Comparison.png)

#### Original 2D Anime Image 480x300 (.jpg 93.2 KB):
![Original Imgae](/Samples/image/Original_[480x300].jpg)

#### After 8x magnification, level 3 denoise and compress 3840x2400 (.jpg 525 KB):
#### (Using Waifu2x-NCNN-Vulkan Engine)
![Scaled Imgae](/Samples/image/Waifu2x_8x_[3840x2400].jpg)

#### Original GIF 500 x 372 (493 KB):
![Original GIF](/Samples/gif/GIF_2_original.gif)

#### After 2x magnification, level 2 denoise and gif optimize 1000 x 744 (3.77 MB):
#### (Using Waifu2x-NCNN-Vulkan Engine)
![Scaled GIF](/Samples/gif/GIF_2_waifu2x_compressed.gif)

#### `Github doesn't support online video playback, please check link below:`

### **`Video`** : https://github.com/AaronFeng753/Waifu2x-Extension-GUI/tree/master/Samples/video

# ❤ Donate ❤ (推荐使用 支付宝 或者 微信)

<p align="left">
<a href="https://www.patreon.com/aaronfeng"><img src="https://github.com/AaronFeng753/Waifu2x-Extension-GUI/blob/master/.github/BecomePatron.jpg?raw=true" alt="Patreon donate button" height="35"/> </a>
</p>

# [PayPal](https://www.paypal.me/aaronfeng753)

![donate_new](/donate_new.jpg)

#### 如果捐赠二维码图片无法正常加载,请[打开此链接查看](https://gitee.com/aaronfeng0711/Waifu2x-Extension-GUI/raw/master/donate_new.jpg)或者合法的连接国际网络后刷新页面, 当然您也可以[按照这个教程来尝试修复github图片加载的问题](https://github.com/AaronFeng753/Github_dns_hosts#github_dns_hosts).

# [📄License](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/blob/master/LICENSE)

#### Waifu2x-Extension-GUI is free for PERSONAL USE ONLY.

#### If you wish to use Waifu2x-Extension-GUI commercially, please purchase the Premium version from:
#### https://www.patreon.com/aaronfeng

# Privacy policy🙈🙉🙊

We respect your privacy, so the following is the privacy policy of this software:
```
1. This software won't upload anything to the internet, so we won't collect any data from you, we don't even have a server.

2. This software will only connect to the internet when checking for new updates and update the QRCode on the Donate tab, which
will download two .ini files and two .jpg files from GitHub and Gitee. (Gitee is a copycat version of GitHub in The
People's Republic of China, you can disable downloading anything from Gitee by enabling [Ban Gitee] in [Additional settings])

In conclusion, we won't collect any data from you.
```

# 💝Credits💝:
- ❤All donors❤
- Special thanks to [@CAFUCSteven](https://github.com/CAFUCSteven) for helping me test the software, report multiple bugs and give me multiple suggestions.
- Special thanks to [@MrZihan](https://github.com/MrZihan) for create the [SRMD-CUDA](https://github.com/MrZihan/Super-resolution-SR-CUDA) engine and help me integrated it in the Waifu2x-Extension-GUI.
- Anime4K: https://github.com/bloc97/Anime4K
- Anime4KCPP: https://github.com/TianZerL/Anime4KCPP
- APNG Assembler: https://sourceforge.net/projects/apngasm/
- APNG Disassembler: https://sourceforge.net/projects/apngdis/
- APNG Optimizer: https://sourceforge.net/projects/apng/files/APNG_Optimizer/
- Beautiful Soup: https://www.crummy.com/software/BeautifulSoup/
- cain-ncnn-vulkan: https://github.com/nihui/cain-ncnn-vulkan
- Channel Attention Is All You Need for Video Frame Interpolation: https://github.com/myungsub/CAIN
- DAIN ncnn Vulkan: https://github.com/nihui/dain-ncnn-vulkan
- DAIN (Depth-Aware Video Frame Interpolation): https://github.com/baowenbo/DAIN
- FFmpeg: https://ffmpeg.org/
- FFmpeg Builds - gyan.dev: https://www.gyan.dev/ffmpeg/builds/
- FFmpeg Builds - Zeranoe (This website has ceased operations): https://ffmpeg.zeranoe.com/builds/
- Gifsicle: https://www.lcdf.org/gifsicle/
- GIMP: https://www.gimp.org/
- GNU Wget: https://www.gnu.org/software/wget/
- ImageMagick: http://www.imagemagick.org/
- ImDisk Toolkit: https://sourceforge.net/projects/imdisk-toolkit/
- NCNN: https://github.com/Tencent/ncnn
- NirCmd: https://www.nirsoft.net/utils/nircmd.html
- NSIS: https://nsis.sourceforge.io/
- OpenCV: https://opencv.org/
- Pillow: https://python-pillow.org/
- PyInstaller: https://github.com/pyinstaller/pyinstaller
- Python: https://www.python.org/
- QT: https://www.qt.io/
- Real-CUGAN: https://github.com/bilibili/ailab
- realcugan-ncnn-vulkan: https://github.com/nihui/realcugan-ncnn-vulkan
- Real-ESRGAN: https://github.com/xinntao/Real-ESRGAN
- RealSR-ncnn-vulkan: https://github.com/nihui/realsr-ncnn-vulkan
- Real-World Super-Resolution: https://github.com/jixiaozhong/RealSR
- rife-ncnn-vulkan: https://github.com/nihui/rife-ncnn-vulkan
- RIFE Video Frame Interpolation: https://github.com/hzwer/arXiv2020-RIFE
- SoX: http://sox.sourceforge.net/
- SRMD: https://github.com/cszn/SRMD
- SRMD-ncnn-Vulkan: https://github.com/nihui/srmd-ncnn-vulkan
- Super-resolution-SR-CUDA: https://github.com/MrZihan/Super-resolution-SR-CUDA
- Waifu2x: https://github.com/nagadomi/waifu2x
- Waifu2x-caffe: https://github.com/lltcggie/waifu2x-caffe
- Waifu2x-converter: https://github.com/DeadSix27/waifu2x-converter-cpp
- Waifu2x-Extension: https://github.com/AaronFeng753/Waifu2x-Extension
- Waifu2x-ncnn-vulkan: https://github.com/nihui/waifu2x-ncnn-vulkan
- [psd2waifu2x配布・サポートページ | 投稿者: HIMAKIKUROGANE](https://gkalumnium.com/devlog/psd2waifu2x%e9%85%8d%e5%b8%83%e3%83%bb%e3%82%b5%e3%83%9d%e3%83%bc%e3%83%88%e3%83%9a%e3%83%bc%e3%82%b8/)
- Icons made by : [Freepik](https://www.flaticon.com/authors/freepik) & [Roundicons](https://www.flaticon.com/authors/roundicons) & [Icongeek26](https://www.flaticon.com/authors/Icongeek26) From Flaticon : https://www.flaticon.com/
- Thanks to [@uimee](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/issues/85) for 繁體中文 translation.
- Thanks to [@Nova-Aurora](https://github.com/Nova-Aurora) for fixing several errors in the English README.
- Thanks to [@Michael18751](https://github.com/AaronFeng753/Waifu2x-Extension-GUI/issues/118) for adding a fadeout effect to the notification sound.
- Thanks to [@CaptainStabs](https://github.com/CaptainStabs) for fixing several English grammar errors.
